#!/bin/sh
GSSTATE=`dbget /State/GeneralConfig Complete`
BOOTARGS=`bootpage -p /dev/hda`
NEWBOOTARGS=`echo $BOOTARGS |sed 's/GS=1/GS=0/g'`
#echo $NEWBOOTARGS
# Get rid of Guided Setup Hack on next reboot if is complete,
# or it will cause the "jitters"
if [ "$GSSTATE" = 7 ] || [ "$GSSTATE" = 6 ] || [ "$GSSTATE" = 4 ] ; then
echo "Guided Setup at sufficient State. Clearing GS flag"
bootpage -P "$NEWBOOTARGS" /dev/hda
fi
