#!/tvbin/tivosh

# deletelogos.tcl - command line deleteion of user uploaded logos
#  by Stuart Anderton (sanderton at TC & DD)
# v 1.0
set db [dbopen]
  
  set LogoGroups ""
  ForeachMfsFile fsid name type "/LogoGroup" "" {
    lappend LogoGroups $fsid
  }
  

  foreach fsid $LogoGroups {
    RetryTransaction {
      set LogoGroupEntry [db $db openid $fsid]
      set LogoGroupIndexes [dbobj $LogoGroupEntry get Index]
       
      set i 0
      foreach  index $LogoGroupIndexes {

        if {$index > 3999} {
	puts "Removing $index"
	set img [dbobj $LogoGroupEntry get Image $i]
	catch {dbobj $img markasrubbish}
	dbobj $LogoGroupEntry removeat Index $i
	dbobj $LogoGroupEntry removeat Image $i
	after 100
	} else {
		puts "Skipping $index"
		incr i
	}
	
      }
    }
  }
  
  