#!/tvbin/tivosh
EnableTransactionHoldoff True
set dbPoolSize [expr 100 * 1024]

set db [dbopen $dbPoolSize]

ForeachMfsFile fsid name type "/Headend" "" {
 RetryTransaction {
	set headend [db $db openid $fsid]
	set lineups [dbobj $headend get Lineup]
	set headendname [dbobj $headend get Name]

	foreach lineup $lineups {

		set lineupname [dbobj $lineup get Name]
		set channelslist [dbobj $lineup gettarget Channel]
		
		foreach channel $channelslist {
			append channels "{$channel \{$lineupname $headendname}\} "
			}
		
		}
	}
}

dbclose $db

#transaction {
 # set setup [db $db open "/Setup"]
 # set sources [dbobj $setup get Source]
 # foreach source $sources {
 #   append channels "[dbobj $source gettarget Channel] "
 # }
#}
puts "Here goes..."
set file "channels.txt"
set output [open $file "w"]

for {set x 0} {$x < [llength $channels]} {incr x 50} {
 
    foreach channel [lrange $channels $x [expr $x+50]] {
      set firstbit [lindex $channel 0]
	   regexp {([0-9]*)/(.*)} $firstbit junk id subid
	   set db [dbopen $dbPoolSize]
	    RetryTransaction {
      set chanobj [db $db openidconstruction $id $subid]
      if { [catch {set statobj [dbobj $chanobj get Station]
      puts $output "[dbobj $statobj get ServerId] [dbobj $chanobj get Number] [dbobj $statobj get CallSign] [dbobj $statobj get Name] [lindex $channel 1]"
      puts  "."
      #lappend chan "[dbobj $statobj get ServerId] [dbobj $chanobj get Number] [dbobj $statobj get CallSign] [dbobj $statobj get Name] [lindex $channel 1]"
		}]} {puts "Error caught opening $id $subid"}
}
dbclose $db
      }
  }

  puts "Finished getting data"


#set chan [lsort -index 4 $chan]
#foreach channel $chan {
  #puts $output $channel

#}

close $output
dbclose $db