#!/tvbin/tivosh 
# 
# Abort Guided Setup script - healeydave Jun '11
# Based on fixup02c.tcl by khmann 
# only changing essential settings, leaving call statuses as they were prior to GS.


# status strings 
source $tcl_library/tv/StatusStrings.itcl 

# source of RetryTransaction function 
tvsource $tcl_library/tv/mfslib.tcl 


proc FIXUP {db} { 
   try { 
       RetryTransaction { 

           set sobj [db $db open /Setup] 
           set ssobj [dbobj $sobj get ServiceInfo] 

               # Guided Setup has been completed, use instead of SETUP_BYPASS 
               dbobj $sobj set Complete 7
               dbobj $sobj set DemoMode 0 
       } 
   } catch errCode { 
       puts "Failed to FIXUP, code=($errCode)" 
       return 0 
   } 
   return 1 
} 

set db [dbopen] 
FIXUP $db 
dbclose $db 

