#!/tvbin/tivosh
#
# Create a Tuner Source
# (c) 2000, Ricky Beam [cramer]
#
# "If you break it, you own all the peices."
#
source $tcl_library/tv/Inc.itcl
source $tcl_library/tv/mfslib.tcl


set db [dbopen]
transaction {

  set setup [db $db open /Setup]


  puts "Creating SignalSource FTA"
  set source [db $db createsub SignalSource $setup]
  dbobj $source set ProviderName "FTA"
  dbobj $source set SignalType 1
  dbobj $source set Connector 1
  dbobj $source set RFChannel 0
#  dbobj $source set CableBoxCodeNum 0
# dbobj $source set LineupType 0
  dbobj $setup add Source $source
}
dbclose $db
unset db

event send 23 16 0
puts "Done"

puts "If the new input isn't available, REBOOT your Tivo."
sync
