#!/tvbin/tivosh
#
#source /tvlib/tcl/tv/mfslib.tcl
#add-channel-to-existing-station.tcl 633212/93 2 636950/94 #serverid_in_guidedata channel_you_want server_id_of_source
#
set serverid [lindex $argv 0]
set channelno [lindex $argv 1]
set lineupid [lindex $argv 2] 
#set callsign [lindex $argv 2]
#set name [lindex $argv 3]

#
#set db [dbopen]
#RetryTransaction {
#    set station [db $db create Station]
#    set stationid [dbobj $station fsid]/[dbobj $station subobjid] 
#    puts "The file id you will need to use add-channel is $stationid"
#    dbobj $station set ServerId $serverid
#    dbobj $station set CallSign $callsign
#    dbobj $station set Name $name
#}
##puts "created /Server/$serverid"
#
##Start Add-Channel.tcl
#
proc OpenObject {db objspec} {
     if {[string range $objspec 0 0] == "/"} {
        set obj [db $db open $objspec]
     } elseif { [regexp {([0-9]*)/(.*)} $objspec junk fsid subobjid] } {
        set obj [db $db openidconstruction $fsid $subobjid]
     } else {
        set obj [db $db openid $objspec]
     }
     return $obj
}

set db [dbopen]
RetryTransaction {
    set station [OpenObject $db $serverid]
    set stationname [dbobj $station get Name]
    puts "station $stationname"

    set lineup [OpenObject $db $lineupid]

    set channel [db $db createsub Channel $lineup]
    dbobj $channel set Number $channelno
    dbobj $channel set SourceIndex 1
    dbobj $channel set Station $station
    puts "channel $channelno"

    dbobj $lineup add Channel $channel
}
